## Version Version — GStreamer gst-plugins-base libraries version macros. |

## Functions

#define | GST_CHECK_PLUGINS_BASE_VERSION()
void | gst_plugins_base_version ()
gchar * | gst_plugins_base_version_string ()

## Types and Values

#define | GST_PLUGINS_BASE_VERSION_MAJOR
#define | GST_PLUGINS_BASE_VERSION_MINOR
#define | GST_PLUGINS_BASE_VERSION_MICRO
#define | GST_PLUGINS_BASE_VERSION_NANO

## Includes

    #include <gst/pbutils/pbutils.h>

## Description

Use the GST_PLUGINS_BASE_VERSION_* macros e.g. to check what version of gst-plugins-base you are building against, and `gst_plugins_base_version()` if you need to check at runtime what version of the gst-plugins-base libraries are being used / you are currently linked against.

The version macros get defined by including <gst/pbutils/pbutils.h>.

## Functions

### GST_CHECK_PLUGINS_BASE_VERSION()

    #define             GST_CHECK_PLUGINS_BASE_VERSION(major,minor,micro)

### gst_plugins_base_version ()

    void
    gst_plugins_base_version (guint *major,
                              guint *minor,
                              guint *micro,
                              guint *nano);

Gets the version number of the GStreamer Plugins Base libraries.

#### Parameters

major | pointer to a guint to store the major version number, or `NULL`. | [out]
minor | pointer to a guint to store the minor version number, or `NULL`. | [out]
micro | pointer to a guint to store the micro version number, or `NULL`. | [out]
nano | pointer to a guint to store the nano version number, or `NULL`. | [out]

### gst_plugins_base_version_string ()

    gchar *
    gst_plugins_base_version_string (void);

This function returns a string that is useful for describing this version of GStreamer's gst-plugins-base libraries to the outside world: user agent strings, logging, about dialogs ...

#### Returns

a newly allocated string describing this version of gst-plugins-base

## Types and Values

### GST_PLUGINS_BASE_VERSION_MAJOR

    #define GST_PLUGINS_BASE_VERSION_MAJOR (1)

The major version of GStreamer's gst-plugins-base libraries at compile time.

### GST_PLUGINS_BASE_VERSION_MINOR

    #define GST_PLUGINS_BASE_VERSION_MINOR (16)

The minor version of GStreamer's gst-plugins-base libraries at compile time.

### GST_PLUGINS_BASE_VERSION_MICRO

    #define GST_PLUGINS_BASE_VERSION_MICRO (2)

The micro version of GStreamer's gst-plugins-base libraries at compile time.

### GST_PLUGINS_BASE_VERSION_NANO

    #define GST_PLUGINS_BASE_VERSION_NANO (0)

The nano version of GStreamer's gst-plugins-base libraries at compile time. Actual releases have 0, GIT versions have 1, prerelease versions have 2-...